import BaseACTION from './base_action'
import { News } from '@api'

export default class NewsAction extends BaseACTION {
  newsList(obj) {
    return News.newsList(obj).then(res => res.data)
  }

  news(id, params) {
    return News.news(id, params).then(res => res.data)
  }

  postNes(obj) {
    return News.postNes(obj).then(res => res)
  }
}
